# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXNewPathArray

Function

Creates an Array specifying the linear connections between points.

Syntax
`
#include <dx/dx.h>
`

PathArray DXNewPathArray(int count)

Functional Details

The type of `a` is implicitly set to integer, the rank to 1, and the shape to 2. The `count` parameter specifies the number of positions connected in the path defined by the Path Array.

Path Arrays are used to specify 1-dimensional regular axes of a regular or partially regular "connections" component representing `count`-1 segments along the axis. These are generally combined in Mesh Arrays to create 1-dimensional or higher regular-connection grids.

In the case of fully regular connections (e.g., when one or more path arrays are to be combined in a Mesh Array), it is often easier to use `DXMakeGridConnections`.

The Array created can be deleted with DXDelete. See 4.2 , "Memory Management".

Return Value

Returns the Path Array or returns `NULL` and sets an error code.

See Also

`DXGetPathArrayInfo, DXGetPathOffset, DXMakeGridConnections, DXMakeGridConnectionsV, DXSetPathOffset`

"Path Arrays".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]